TAU_DB_DUMP_PREFIX(3)

Name
TAU_DB_DUMP_PREFIX - Dumps the profile database into profile files with a given prefix

Synopsis

C/C++:

TAU_DB_DUMP_PREFIX(char *prefix);

Fortran:

TAU_DB_DUMP_PREFIX(character prefix(size));

Description

The TAU_DB_DUMP_PREFIX macro dumps all profile data to disk and records a checkpoint or a snapshot of the profile statistics at that instant. The dump files are named <prefix>.<node>.<context>.<thread>. If prefix is "profile", the files are named profile.0.0.0, etc. and may be read by paraprof/pprof tools as the application executes.

Example

C/C++ :

    TAU_DB_DUMP_PREFIX("prefix");

Fortran :

    call TAU_DB_DUMP_PREFIX("prefix")

Python :

    import pytau
    pytau.dbDump("prefix")

See Also

TAU_DB_DUMP(3)